# Package edu.msu.cme.rdp.classifier.train

Class Summary
Class | Description
--- | ---
ClassifierTraineeMaker | A command line class to create training information from the raw data.
CopyNumberParser |
LineageSequence | A ParsedRawSequence holds the data for a raw sequence.
LineageSequenceParser | A parser to parse a reader containing the raw sequences.
RawGenusWordConditionalProb | A RawGenusWordConditionalProb contains the index of the genus node and the conditional probability of the node contains the word.
RawHierarchyTree | A RawHierarchyTree holds the raw taxon and sequences information.
Taxonomy | A Taxonomy holds the raw taxon information.
TreeFactory | A TreeFactory reads the raw taxonomic information and creates the RawHierarchyTree nodes.

Exception Summary
Exception | Description
--- | ---
NameRankDupException |